﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace fmu_hackathon.br.com.correios.ws {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="CalcPrecoPrazoWSSoap", Namespace="http://tempuri.org/")]
    public partial class CalcPrecoPrazoWS : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback CalcPrecoPrazoOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrecoPrazoDataOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrecoPrazoRestricaoOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrecoOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrecoDataOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrazoOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrazoDataOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrazoRestricaoOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcPrecoFACOperationCompleted;
        
        private System.Threading.SendOrPostCallback CalcDataMaximaOperationCompleted;
        
        private System.Threading.SendOrPostCallback ListaServicosOperationCompleted;
        
        private System.Threading.SendOrPostCallback ListaServicosSTAROperationCompleted;
        
        private System.Threading.SendOrPostCallback VerificaModalOperationCompleted;
        
        private System.Threading.SendOrPostCallback getVersaoOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public CalcPrecoPrazoWS() {
            this.Url = global::fmu_hackathon.Properties.Settings.Default.fmu_hackathon_br_com_correios_ws_CalcPrecoPrazoWS;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event CalcPrecoPrazoCompletedEventHandler CalcPrecoPrazoCompleted;
        
        /// <remarks/>
        public event CalcPrecoPrazoDataCompletedEventHandler CalcPrecoPrazoDataCompleted;
        
        /// <remarks/>
        public event CalcPrecoPrazoRestricaoCompletedEventHandler CalcPrecoPrazoRestricaoCompleted;
        
        /// <remarks/>
        public event CalcPrecoCompletedEventHandler CalcPrecoCompleted;
        
        /// <remarks/>
        public event CalcPrecoDataCompletedEventHandler CalcPrecoDataCompleted;
        
        /// <remarks/>
        public event CalcPrazoCompletedEventHandler CalcPrazoCompleted;
        
        /// <remarks/>
        public event CalcPrazoDataCompletedEventHandler CalcPrazoDataCompleted;
        
        /// <remarks/>
        public event CalcPrazoRestricaoCompletedEventHandler CalcPrazoRestricaoCompleted;
        
        /// <remarks/>
        public event CalcPrecoFACCompletedEventHandler CalcPrecoFACCompleted;
        
        /// <remarks/>
        public event CalcDataMaximaCompletedEventHandler CalcDataMaximaCompleted;
        
        /// <remarks/>
        public event ListaServicosCompletedEventHandler ListaServicosCompleted;
        
        /// <remarks/>
        public event ListaServicosSTARCompletedEventHandler ListaServicosSTARCompleted;
        
        /// <remarks/>
        public event VerificaModalCompletedEventHandler VerificaModalCompleted;
        
        /// <remarks/>
        public event getVersaoCompletedEventHandler getVersaoCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrecoPrazo", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrecoPrazo(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento) {
            object[] results = this.Invoke("CalcPrecoPrazo", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento) {
            this.CalcPrecoPrazoAsync(nCdEmpresa, sDsSenha, nCdServico, sCepOrigem, sCepDestino, nVlPeso, nCdFormato, nVlComprimento, nVlAltura, nVlLargura, nVlDiametro, sCdMaoPropria, nVlValorDeclarado, sCdAvisoRecebimento, null);
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, object userState) {
            if ((this.CalcPrecoPrazoOperationCompleted == null)) {
                this.CalcPrecoPrazoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoPrazoOperationCompleted);
            }
            this.InvokeAsync("CalcPrecoPrazo", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento}, this.CalcPrecoPrazoOperationCompleted, userState);
        }
        
        private void OnCalcPrecoPrazoOperationCompleted(object arg) {
            if ((this.CalcPrecoPrazoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoPrazoCompleted(this, new CalcPrecoPrazoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrecoPrazoData", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrecoPrazoData(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            object[] results = this.Invoke("CalcPrecoPrazoData", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoDataAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            this.CalcPrecoPrazoDataAsync(nCdEmpresa, sDsSenha, nCdServico, sCepOrigem, sCepDestino, nVlPeso, nCdFormato, nVlComprimento, nVlAltura, nVlLargura, nVlDiametro, sCdMaoPropria, nVlValorDeclarado, sCdAvisoRecebimento, sDtCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoDataAsync(
                    string nCdEmpresa, 
                    string sDsSenha, 
                    string nCdServico, 
                    string sCepOrigem, 
                    string sCepDestino, 
                    string nVlPeso, 
                    int nCdFormato, 
                    decimal nVlComprimento, 
                    decimal nVlAltura, 
                    decimal nVlLargura, 
                    decimal nVlDiametro, 
                    string sCdMaoPropria, 
                    decimal nVlValorDeclarado, 
                    string sCdAvisoRecebimento, 
                    string sDtCalculo, 
                    object userState) {
            if ((this.CalcPrecoPrazoDataOperationCompleted == null)) {
                this.CalcPrecoPrazoDataOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoPrazoDataOperationCompleted);
            }
            this.InvokeAsync("CalcPrecoPrazoData", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo}, this.CalcPrecoPrazoDataOperationCompleted, userState);
        }
        
        private void OnCalcPrecoPrazoDataOperationCompleted(object arg) {
            if ((this.CalcPrecoPrazoDataCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoPrazoDataCompleted(this, new CalcPrecoPrazoDataCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrecoPrazoRestricao", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrecoPrazoRestricao(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            object[] results = this.Invoke("CalcPrecoPrazoRestricao", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoRestricaoAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            this.CalcPrecoPrazoRestricaoAsync(nCdEmpresa, sDsSenha, nCdServico, sCepOrigem, sCepDestino, nVlPeso, nCdFormato, nVlComprimento, nVlAltura, nVlLargura, nVlDiametro, sCdMaoPropria, nVlValorDeclarado, sCdAvisoRecebimento, sDtCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrecoPrazoRestricaoAsync(
                    string nCdEmpresa, 
                    string sDsSenha, 
                    string nCdServico, 
                    string sCepOrigem, 
                    string sCepDestino, 
                    string nVlPeso, 
                    int nCdFormato, 
                    decimal nVlComprimento, 
                    decimal nVlAltura, 
                    decimal nVlLargura, 
                    decimal nVlDiametro, 
                    string sCdMaoPropria, 
                    decimal nVlValorDeclarado, 
                    string sCdAvisoRecebimento, 
                    string sDtCalculo, 
                    object userState) {
            if ((this.CalcPrecoPrazoRestricaoOperationCompleted == null)) {
                this.CalcPrecoPrazoRestricaoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoPrazoRestricaoOperationCompleted);
            }
            this.InvokeAsync("CalcPrecoPrazoRestricao", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo}, this.CalcPrecoPrazoRestricaoOperationCompleted, userState);
        }
        
        private void OnCalcPrecoPrazoRestricaoOperationCompleted(object arg) {
            if ((this.CalcPrecoPrazoRestricaoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoPrazoRestricaoCompleted(this, new CalcPrecoPrazoRestricaoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPreco", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPreco(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento) {
            object[] results = this.Invoke("CalcPreco", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento) {
            this.CalcPrecoAsync(nCdEmpresa, sDsSenha, nCdServico, sCepOrigem, sCepDestino, nVlPeso, nCdFormato, nVlComprimento, nVlAltura, nVlLargura, nVlDiametro, sCdMaoPropria, nVlValorDeclarado, sCdAvisoRecebimento, null);
        }
        
        /// <remarks/>
        public void CalcPrecoAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, object userState) {
            if ((this.CalcPrecoOperationCompleted == null)) {
                this.CalcPrecoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoOperationCompleted);
            }
            this.InvokeAsync("CalcPreco", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento}, this.CalcPrecoOperationCompleted, userState);
        }
        
        private void OnCalcPrecoOperationCompleted(object arg) {
            if ((this.CalcPrecoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoCompleted(this, new CalcPrecoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrecoData", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrecoData(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            object[] results = this.Invoke("CalcPrecoData", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoDataAsync(string nCdEmpresa, string sDsSenha, string nCdServico, string sCepOrigem, string sCepDestino, string nVlPeso, int nCdFormato, decimal nVlComprimento, decimal nVlAltura, decimal nVlLargura, decimal nVlDiametro, string sCdMaoPropria, decimal nVlValorDeclarado, string sCdAvisoRecebimento, string sDtCalculo) {
            this.CalcPrecoDataAsync(nCdEmpresa, sDsSenha, nCdServico, sCepOrigem, sCepDestino, nVlPeso, nCdFormato, nVlComprimento, nVlAltura, nVlLargura, nVlDiametro, sCdMaoPropria, nVlValorDeclarado, sCdAvisoRecebimento, sDtCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrecoDataAsync(
                    string nCdEmpresa, 
                    string sDsSenha, 
                    string nCdServico, 
                    string sCepOrigem, 
                    string sCepDestino, 
                    string nVlPeso, 
                    int nCdFormato, 
                    decimal nVlComprimento, 
                    decimal nVlAltura, 
                    decimal nVlLargura, 
                    decimal nVlDiametro, 
                    string sCdMaoPropria, 
                    decimal nVlValorDeclarado, 
                    string sCdAvisoRecebimento, 
                    string sDtCalculo, 
                    object userState) {
            if ((this.CalcPrecoDataOperationCompleted == null)) {
                this.CalcPrecoDataOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoDataOperationCompleted);
            }
            this.InvokeAsync("CalcPrecoData", new object[] {
                        nCdEmpresa,
                        sDsSenha,
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        nVlPeso,
                        nCdFormato,
                        nVlComprimento,
                        nVlAltura,
                        nVlLargura,
                        nVlDiametro,
                        sCdMaoPropria,
                        nVlValorDeclarado,
                        sCdAvisoRecebimento,
                        sDtCalculo}, this.CalcPrecoDataOperationCompleted, userState);
        }
        
        private void OnCalcPrecoDataOperationCompleted(object arg) {
            if ((this.CalcPrecoDataCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoDataCompleted(this, new CalcPrecoDataCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrazo", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrazo(string nCdServico, string sCepOrigem, string sCepDestino) {
            object[] results = this.Invoke("CalcPrazo", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrazoAsync(string nCdServico, string sCepOrigem, string sCepDestino) {
            this.CalcPrazoAsync(nCdServico, sCepOrigem, sCepDestino, null);
        }
        
        /// <remarks/>
        public void CalcPrazoAsync(string nCdServico, string sCepOrigem, string sCepDestino, object userState) {
            if ((this.CalcPrazoOperationCompleted == null)) {
                this.CalcPrazoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrazoOperationCompleted);
            }
            this.InvokeAsync("CalcPrazo", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino}, this.CalcPrazoOperationCompleted, userState);
        }
        
        private void OnCalcPrazoOperationCompleted(object arg) {
            if ((this.CalcPrazoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrazoCompleted(this, new CalcPrazoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrazoData", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrazoData(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo) {
            object[] results = this.Invoke("CalcPrazoData", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        sDtCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrazoDataAsync(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo) {
            this.CalcPrazoDataAsync(nCdServico, sCepOrigem, sCepDestino, sDtCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrazoDataAsync(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo, object userState) {
            if ((this.CalcPrazoDataOperationCompleted == null)) {
                this.CalcPrazoDataOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrazoDataOperationCompleted);
            }
            this.InvokeAsync("CalcPrazoData", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        sDtCalculo}, this.CalcPrazoDataOperationCompleted, userState);
        }
        
        private void OnCalcPrazoDataOperationCompleted(object arg) {
            if ((this.CalcPrazoDataCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrazoDataCompleted(this, new CalcPrazoDataCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrazoRestricao", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrazoRestricao(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo) {
            object[] results = this.Invoke("CalcPrazoRestricao", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        sDtCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrazoRestricaoAsync(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo) {
            this.CalcPrazoRestricaoAsync(nCdServico, sCepOrigem, sCepDestino, sDtCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrazoRestricaoAsync(string nCdServico, string sCepOrigem, string sCepDestino, string sDtCalculo, object userState) {
            if ((this.CalcPrazoRestricaoOperationCompleted == null)) {
                this.CalcPrazoRestricaoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrazoRestricaoOperationCompleted);
            }
            this.InvokeAsync("CalcPrazoRestricao", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino,
                        sDtCalculo}, this.CalcPrazoRestricaoOperationCompleted, userState);
        }
        
        private void OnCalcPrazoRestricaoOperationCompleted(object arg) {
            if ((this.CalcPrazoRestricaoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrazoRestricaoCompleted(this, new CalcPrazoRestricaoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcPrecoFAC", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultado CalcPrecoFAC(string nCdServico, string nVlPeso, string strDataCalculo) {
            object[] results = this.Invoke("CalcPrecoFAC", new object[] {
                        nCdServico,
                        nVlPeso,
                        strDataCalculo});
            return ((cResultado)(results[0]));
        }
        
        /// <remarks/>
        public void CalcPrecoFACAsync(string nCdServico, string nVlPeso, string strDataCalculo) {
            this.CalcPrecoFACAsync(nCdServico, nVlPeso, strDataCalculo, null);
        }
        
        /// <remarks/>
        public void CalcPrecoFACAsync(string nCdServico, string nVlPeso, string strDataCalculo, object userState) {
            if ((this.CalcPrecoFACOperationCompleted == null)) {
                this.CalcPrecoFACOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcPrecoFACOperationCompleted);
            }
            this.InvokeAsync("CalcPrecoFAC", new object[] {
                        nCdServico,
                        nVlPeso,
                        strDataCalculo}, this.CalcPrecoFACOperationCompleted, userState);
        }
        
        private void OnCalcPrecoFACOperationCompleted(object arg) {
            if ((this.CalcPrecoFACCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcPrecoFACCompleted(this, new CalcPrecoFACCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/CalcDataMaxima", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultadoObjeto CalcDataMaxima(string codigoObjeto) {
            object[] results = this.Invoke("CalcDataMaxima", new object[] {
                        codigoObjeto});
            return ((cResultadoObjeto)(results[0]));
        }
        
        /// <remarks/>
        public void CalcDataMaximaAsync(string codigoObjeto) {
            this.CalcDataMaximaAsync(codigoObjeto, null);
        }
        
        /// <remarks/>
        public void CalcDataMaximaAsync(string codigoObjeto, object userState) {
            if ((this.CalcDataMaximaOperationCompleted == null)) {
                this.CalcDataMaximaOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCalcDataMaximaOperationCompleted);
            }
            this.InvokeAsync("CalcDataMaxima", new object[] {
                        codigoObjeto}, this.CalcDataMaximaOperationCompleted, userState);
        }
        
        private void OnCalcDataMaximaOperationCompleted(object arg) {
            if ((this.CalcDataMaximaCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CalcDataMaximaCompleted(this, new CalcDataMaximaCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ListaServicos", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultadoServicos ListaServicos() {
            object[] results = this.Invoke("ListaServicos", new object[0]);
            return ((cResultadoServicos)(results[0]));
        }
        
        /// <remarks/>
        public void ListaServicosAsync() {
            this.ListaServicosAsync(null);
        }
        
        /// <remarks/>
        public void ListaServicosAsync(object userState) {
            if ((this.ListaServicosOperationCompleted == null)) {
                this.ListaServicosOperationCompleted = new System.Threading.SendOrPostCallback(this.OnListaServicosOperationCompleted);
            }
            this.InvokeAsync("ListaServicos", new object[0], this.ListaServicosOperationCompleted, userState);
        }
        
        private void OnListaServicosOperationCompleted(object arg) {
            if ((this.ListaServicosCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ListaServicosCompleted(this, new ListaServicosCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ListaServicosSTAR", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultadoServicos ListaServicosSTAR() {
            object[] results = this.Invoke("ListaServicosSTAR", new object[0]);
            return ((cResultadoServicos)(results[0]));
        }
        
        /// <remarks/>
        public void ListaServicosSTARAsync() {
            this.ListaServicosSTARAsync(null);
        }
        
        /// <remarks/>
        public void ListaServicosSTARAsync(object userState) {
            if ((this.ListaServicosSTAROperationCompleted == null)) {
                this.ListaServicosSTAROperationCompleted = new System.Threading.SendOrPostCallback(this.OnListaServicosSTAROperationCompleted);
            }
            this.InvokeAsync("ListaServicosSTAR", new object[0], this.ListaServicosSTAROperationCompleted, userState);
        }
        
        private void OnListaServicosSTAROperationCompleted(object arg) {
            if ((this.ListaServicosSTARCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ListaServicosSTARCompleted(this, new ListaServicosSTARCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/VerificaModal", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public cResultadoModal VerificaModal(string nCdServico, string sCepOrigem, string sCepDestino) {
            object[] results = this.Invoke("VerificaModal", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino});
            return ((cResultadoModal)(results[0]));
        }
        
        /// <remarks/>
        public void VerificaModalAsync(string nCdServico, string sCepOrigem, string sCepDestino) {
            this.VerificaModalAsync(nCdServico, sCepOrigem, sCepDestino, null);
        }
        
        /// <remarks/>
        public void VerificaModalAsync(string nCdServico, string sCepOrigem, string sCepDestino, object userState) {
            if ((this.VerificaModalOperationCompleted == null)) {
                this.VerificaModalOperationCompleted = new System.Threading.SendOrPostCallback(this.OnVerificaModalOperationCompleted);
            }
            this.InvokeAsync("VerificaModal", new object[] {
                        nCdServico,
                        sCepOrigem,
                        sCepDestino}, this.VerificaModalOperationCompleted, userState);
        }
        
        private void OnVerificaModalOperationCompleted(object arg) {
            if ((this.VerificaModalCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.VerificaModalCompleted(this, new VerificaModalCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getVersao", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public versao getVersao() {
            object[] results = this.Invoke("getVersao", new object[0]);
            return ((versao)(results[0]));
        }
        
        /// <remarks/>
        public void getVersaoAsync() {
            this.getVersaoAsync(null);
        }
        
        /// <remarks/>
        public void getVersaoAsync(object userState) {
            if ((this.getVersaoOperationCompleted == null)) {
                this.getVersaoOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetVersaoOperationCompleted);
            }
            this.InvokeAsync("getVersao", new object[0], this.getVersaoOperationCompleted, userState);
        }
        
        private void OngetVersaoOperationCompleted(object arg) {
            if ((this.getVersaoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getVersaoCompleted(this, new getVersaoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cResultado {
        
        private cServico[] servicosField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
        public cServico[] Servicos {
            get {
                return this.servicosField;
            }
            set {
                this.servicosField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cServico {
        
        private int codigoField;
        
        private string valorField;
        
        private string prazoEntregaField;
        
        private string valorMaoPropriaField;
        
        private string valorAvisoRecebimentoField;
        
        private string valorValorDeclaradoField;
        
        private string entregaDomiciliarField;
        
        private string entregaSabadoField;
        
        private string erroField;
        
        private string msgErroField;
        
        private string valorSemAdicionaisField;
        
        private string obsFimField;
        
        private string dataMaxEntregaField;
        
        private string horaMaxEntregaField;
        
        /// <remarks/>
        public int Codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
            }
        }
        
        /// <remarks/>
        public string Valor {
            get {
                return this.valorField;
            }
            set {
                this.valorField = value;
            }
        }
        
        /// <remarks/>
        public string PrazoEntrega {
            get {
                return this.prazoEntregaField;
            }
            set {
                this.prazoEntregaField = value;
            }
        }
        
        /// <remarks/>
        public string ValorMaoPropria {
            get {
                return this.valorMaoPropriaField;
            }
            set {
                this.valorMaoPropriaField = value;
            }
        }
        
        /// <remarks/>
        public string ValorAvisoRecebimento {
            get {
                return this.valorAvisoRecebimentoField;
            }
            set {
                this.valorAvisoRecebimentoField = value;
            }
        }
        
        /// <remarks/>
        public string ValorValorDeclarado {
            get {
                return this.valorValorDeclaradoField;
            }
            set {
                this.valorValorDeclaradoField = value;
            }
        }
        
        /// <remarks/>
        public string EntregaDomiciliar {
            get {
                return this.entregaDomiciliarField;
            }
            set {
                this.entregaDomiciliarField = value;
            }
        }
        
        /// <remarks/>
        public string EntregaSabado {
            get {
                return this.entregaSabadoField;
            }
            set {
                this.entregaSabadoField = value;
            }
        }
        
        /// <remarks/>
        public string Erro {
            get {
                return this.erroField;
            }
            set {
                this.erroField = value;
            }
        }
        
        /// <remarks/>
        public string MsgErro {
            get {
                return this.msgErroField;
            }
            set {
                this.msgErroField = value;
            }
        }
        
        /// <remarks/>
        public string ValorSemAdicionais {
            get {
                return this.valorSemAdicionaisField;
            }
            set {
                this.valorSemAdicionaisField = value;
            }
        }
        
        /// <remarks/>
        public string obsFim {
            get {
                return this.obsFimField;
            }
            set {
                this.obsFimField = value;
            }
        }
        
        /// <remarks/>
        public string DataMaxEntrega {
            get {
                return this.dataMaxEntregaField;
            }
            set {
                this.dataMaxEntregaField = value;
            }
        }
        
        /// <remarks/>
        public string HoraMaxEntrega {
            get {
                return this.horaMaxEntregaField;
            }
            set {
                this.horaMaxEntregaField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class versao {
        
        private string versaoAtualField;
        
        /// <remarks/>
        public string versaoAtual {
            get {
                return this.versaoAtualField;
            }
            set {
                this.versaoAtualField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cModal {
        
        private string codigoField;
        
        private string modalField;
        
        private string obsField;
        
        /// <remarks/>
        public string codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
            }
        }
        
        /// <remarks/>
        public string modal {
            get {
                return this.modalField;
            }
            set {
                this.modalField = value;
            }
        }
        
        /// <remarks/>
        public string obs {
            get {
                return this.obsField;
            }
            set {
                this.obsField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cResultadoModal {
        
        private cModal[] servicosModalField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
        public cModal[] ServicosModal {
            get {
                return this.servicosModalField;
            }
            set {
                this.servicosModalField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cServicosCalculo {
        
        private string codigoField;
        
        private string descricaoField;
        
        private string calcula_precoField;
        
        private string calcula_prazoField;
        
        private string erroField;
        
        private string msgErroField;
        
        /// <remarks/>
        public string codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
            }
        }
        
        /// <remarks/>
        public string descricao {
            get {
                return this.descricaoField;
            }
            set {
                this.descricaoField = value;
            }
        }
        
        /// <remarks/>
        public string calcula_preco {
            get {
                return this.calcula_precoField;
            }
            set {
                this.calcula_precoField = value;
            }
        }
        
        /// <remarks/>
        public string calcula_prazo {
            get {
                return this.calcula_prazoField;
            }
            set {
                this.calcula_prazoField = value;
            }
        }
        
        /// <remarks/>
        public string erro {
            get {
                return this.erroField;
            }
            set {
                this.erroField = value;
            }
        }
        
        /// <remarks/>
        public string msgErro {
            get {
                return this.msgErroField;
            }
            set {
                this.msgErroField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cResultadoServicos {
        
        private cServicosCalculo[] servicosCalculoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
        public cServicosCalculo[] ServicosCalculo {
            get {
                return this.servicosCalculoField;
            }
            set {
                this.servicosCalculoField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cObjeto {
        
        private string codigoField;
        
        private string servicoField;
        
        private string cepOrigemField;
        
        private string cepDestinoField;
        
        private int prazoEntregaField;
        
        private string dataPostagemField;
        
        private string dataPostagemCalculoField;
        
        private string dataMaxEntregaField;
        
        private string postagemDHField;
        
        private string dataUltimoEventoField;
        
        private string codigoUltimoEventoField;
        
        private string tipoUltimoEventoField;
        
        private string descricaoUltimoEventoField;
        
        private string erroField;
        
        private string msgErroField;
        
        private string nuTicketField;
        
        private string formaPagamentoField;
        
        private string valorPagamentoField;
        
        private string nuContratoField;
        
        private string nuCartaoPostagemField;
        
        /// <remarks/>
        public string codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
            }
        }
        
        /// <remarks/>
        public string servico {
            get {
                return this.servicoField;
            }
            set {
                this.servicoField = value;
            }
        }
        
        /// <remarks/>
        public string cepOrigem {
            get {
                return this.cepOrigemField;
            }
            set {
                this.cepOrigemField = value;
            }
        }
        
        /// <remarks/>
        public string cepDestino {
            get {
                return this.cepDestinoField;
            }
            set {
                this.cepDestinoField = value;
            }
        }
        
        /// <remarks/>
        public int prazoEntrega {
            get {
                return this.prazoEntregaField;
            }
            set {
                this.prazoEntregaField = value;
            }
        }
        
        /// <remarks/>
        public string dataPostagem {
            get {
                return this.dataPostagemField;
            }
            set {
                this.dataPostagemField = value;
            }
        }
        
        /// <remarks/>
        public string dataPostagemCalculo {
            get {
                return this.dataPostagemCalculoField;
            }
            set {
                this.dataPostagemCalculoField = value;
            }
        }
        
        /// <remarks/>
        public string dataMaxEntrega {
            get {
                return this.dataMaxEntregaField;
            }
            set {
                this.dataMaxEntregaField = value;
            }
        }
        
        /// <remarks/>
        public string postagemDH {
            get {
                return this.postagemDHField;
            }
            set {
                this.postagemDHField = value;
            }
        }
        
        /// <remarks/>
        public string dataUltimoEvento {
            get {
                return this.dataUltimoEventoField;
            }
            set {
                this.dataUltimoEventoField = value;
            }
        }
        
        /// <remarks/>
        public string codigoUltimoEvento {
            get {
                return this.codigoUltimoEventoField;
            }
            set {
                this.codigoUltimoEventoField = value;
            }
        }
        
        /// <remarks/>
        public string tipoUltimoEvento {
            get {
                return this.tipoUltimoEventoField;
            }
            set {
                this.tipoUltimoEventoField = value;
            }
        }
        
        /// <remarks/>
        public string descricaoUltimoEvento {
            get {
                return this.descricaoUltimoEventoField;
            }
            set {
                this.descricaoUltimoEventoField = value;
            }
        }
        
        /// <remarks/>
        public string erro {
            get {
                return this.erroField;
            }
            set {
                this.erroField = value;
            }
        }
        
        /// <remarks/>
        public string msgErro {
            get {
                return this.msgErroField;
            }
            set {
                this.msgErroField = value;
            }
        }
        
        /// <remarks/>
        public string nuTicket {
            get {
                return this.nuTicketField;
            }
            set {
                this.nuTicketField = value;
            }
        }
        
        /// <remarks/>
        public string formaPagamento {
            get {
                return this.formaPagamentoField;
            }
            set {
                this.formaPagamentoField = value;
            }
        }
        
        /// <remarks/>
        public string valorPagamento {
            get {
                return this.valorPagamentoField;
            }
            set {
                this.valorPagamentoField = value;
            }
        }
        
        /// <remarks/>
        public string nuContrato {
            get {
                return this.nuContratoField;
            }
            set {
                this.nuContratoField = value;
            }
        }
        
        /// <remarks/>
        public string nuCartaoPostagem {
            get {
                return this.nuCartaoPostagemField;
            }
            set {
                this.nuCartaoPostagemField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class cResultadoObjeto {
        
        private cObjeto[] objetosField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
        public cObjeto[] Objetos {
            get {
                return this.objetosField;
            }
            set {
                this.objetosField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoPrazoCompletedEventHandler(object sender, CalcPrecoPrazoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoPrazoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoPrazoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoPrazoDataCompletedEventHandler(object sender, CalcPrecoPrazoDataCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoPrazoDataCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoPrazoDataCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoPrazoRestricaoCompletedEventHandler(object sender, CalcPrecoPrazoRestricaoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoPrazoRestricaoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoPrazoRestricaoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoCompletedEventHandler(object sender, CalcPrecoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoDataCompletedEventHandler(object sender, CalcPrecoDataCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoDataCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoDataCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrazoCompletedEventHandler(object sender, CalcPrazoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrazoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrazoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrazoDataCompletedEventHandler(object sender, CalcPrazoDataCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrazoDataCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrazoDataCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrazoRestricaoCompletedEventHandler(object sender, CalcPrazoRestricaoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrazoRestricaoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrazoRestricaoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcPrecoFACCompletedEventHandler(object sender, CalcPrecoFACCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcPrecoFACCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcPrecoFACCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultado Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultado)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CalcDataMaximaCompletedEventHandler(object sender, CalcDataMaximaCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CalcDataMaximaCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CalcDataMaximaCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultadoObjeto Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultadoObjeto)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ListaServicosCompletedEventHandler(object sender, ListaServicosCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ListaServicosCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ListaServicosCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultadoServicos Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultadoServicos)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ListaServicosSTARCompletedEventHandler(object sender, ListaServicosSTARCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ListaServicosSTARCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ListaServicosSTARCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultadoServicos Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultadoServicos)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void VerificaModalCompletedEventHandler(object sender, VerificaModalCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class VerificaModalCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal VerificaModalCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public cResultadoModal Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((cResultadoModal)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void getVersaoCompletedEventHandler(object sender, getVersaoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getVersaoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getVersaoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public versao Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((versao)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591